%{?!_licensedir:%global license %%doc}
%global upstream_name tripleo-common
%global git_hash .git49b57eb

Name:           openstack-tripleo-common
Summary:        Python library for code shared by TripleO CLI and Tuskar UI.
Version:        0.0.1.dev6
Release:        3%{?git_hash}%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://github.com/rdo-management/tripleo-common
# Source0: https://pypi.python.org/packages/source/t/tripleo-common/tripleo-common-%{version}.tar.gz
Source0:  tripleo-common-0.0.1.dev6.tar.gz

#
# patches_base=49b57eb7c0cfdaa3fafe149f1a8b77d997707911+1
#
Patch0001: 0001-Make-tuskar-optional-when-running-package-update.patch
Patch0002: 0002-Allow-passing-extra-environment-files-to-package-upd.patch
Patch0003: 0003-Make-tuskar-optional-when-scaling-down.patch
Patch0004: 0004-Allow-passing-extra-environment-files-when-scaling-n.patch
Patch0005: 0005-Don-t-set-UpdateIdentifier-in-tuskar-plan.patch
Patch0006: 0006-Check-if-regexp-is-valid-when-updating-packages.patch
Patch0007: 0007-Don-t-send-default-environment-file-on-pkg-update-or.patch

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: python-heatclient
Requires: python-tuskarclient


%prep
%autosetup -v -p 1 -n %{upstream_name}-%{version}

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%description
Python library for code shared by TripleO CLI and Tuskar UI.

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_common*
%exclude %{python2_sitelib}/tripleo_common/test*


%changelog
* Fri Sep 25 2015 Mike Burns <mburns@redhat.com> 0.0.1.dev6-3.git49b57eb
- Don't send default environment file on pkg update or scale rhbz#1265010
- Check if regexp is valid when updating packages rhbz#1252509

* Tue Sep 01 2015 Mike Burns <mburns@redhat.com> 0.0.1.dev6-2.git49b57eb
- Don't set UpdateIdentifier in tuskar plan rhbz#1243472

* Wed Jul 15 2015 Mike Burns <mburns@redhat.com> 0.0.1.dev6-1.git49b57eb
- Allow passing extra environment files when scaling nodes
- Make tuskar optional when scaling down
- Allow passing extra environment files to package update
- Make tuskar optional when running package update

* Wed Apr 15 2015 Jan Provaznik <jprovazn@redhat.com> - 0.1
- Initial package build

